Referencia
Automatizaciones
Flujos que se disparan solos ante un evento.
POST
/api/v2/workflows/{id}/activateAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
[0-9a-fA-F-]{36}Response Body
application/json
curl -X POST "https://example.com/api/v2/workflows/string/activate"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "string", "definition": { "startTransitionRefId": "string", "event": { "trigger": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ] }, "transitions": [ { "refId": "string", "action": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ], "next": "string", "trueNext": "string", "falseNext": "string" } ] } }}GET
/api/v2/workflowsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
status?string
Filter by workflow status
Value in
- "draft"
- "active"
- "paused"
- "needs_configuration"
- "deleted"
page?integer
Page number
Range
1 <= valueDefault
1itemsPerPage?integer
Items per page
Range
1 <= value <= 1000Default
30Response Body
application/json
curl -X GET "https://example.com/api/v2/workflows"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "string", "definition": { "startTransitionRefId": "string", "event": { "trigger": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ] }, "transitions": [ { "refId": "string", "action": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ], "next": "string", "trueNext": "string", "falseNext": "string" } ] } } ]}POST
/api/v2/workflowsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/workflows" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "string", "definition": { "startTransitionRefId": "string", "event": { "trigger": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ] }, "transitions": [ { "refId": "string", "action": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ], "next": "string", "trueNext": "string", "falseNext": "string" } ] } }}GET
/api/v2/workflows/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
[0-9a-fA-F-]{36}Response Body
application/json
curl -X GET "https://example.com/api/v2/workflows/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "string", "definition": { "startTransitionRefId": "string", "event": { "trigger": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ] }, "transitions": [ { "refId": "string", "action": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ], "next": "string", "trueNext": "string", "falseNext": "string" } ] } }}DELETE
/api/v2/workflows/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
[0-9a-fA-F-]{36}Response Body
application/json
curl -X DELETE "https://example.com/api/v2/workflows/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "string" }}PUT
/api/v2/workflows/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
[0-9a-fA-F-]{36}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v2/workflows/string" \ -H "Content-Type: application/json" \ -d '{}'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "string", "definition": { "startTransitionRefId": "string", "event": { "trigger": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ] }, "transitions": [ { "refId": "string", "action": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ], "next": "string", "trueNext": "string", "falseNext": "string" } ] } }}GET
/api/v2/workflows/actionsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Response Body
application/json
curl -X GET "https://example.com/api/v2/workflows/actions"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": [ { "id": "string", "displayName": "string", "description": "string", "branching": "string", "parameters": [ { "name": "string", "type": "string", "required": true, "allowedValues": [ "string" ], "min": 0, "max": 0, "reference": "string" } ], "requiredExternalService": "string" } ]}GET
/api/v2/workflows/filtersAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Response Body
application/json
curl -X GET "https://example.com/api/v2/workflows/filters"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": [ { "name": "string", "valueType": "string", "allowedOperators": [ "string" ], "possibleValues": [ "string" ], "description": "string" } ]}GET
/api/v2/workflows/{workflowId}/logsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
workflowId*string
Query Parameters
status?string
Filter by log status
Value in
- "succeeded"
- "failed"
workflowInstanceId?string
Filter by a single workflow instance (run)
Format
uuidpage?integer
Page number
Range
1 <= valueDefault
1itemsPerPage?integer
Items per page
Range
1 <= value <= 1000Default
30Response Body
application/json
curl -X GET "https://example.com/api/v2/workflows/string/logs"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workflowId": "43c4fa9b-0cbc-4b57-a121-9d7d46a3eaa4", "workflowInstanceId": "c4b36556-b63b-45ee-af4c-7613e202edc3", "workflowTransitionId": "75369d60-1907-4da8-920c-18fa561da76a", "action": "string", "status": "string", "errorMessage": "string", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "createdAt": "2019-08-24T14:15:22Z" } ]}GET
/api/v2/workflows/triggersAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Response Body
application/json
curl -X GET "https://example.com/api/v2/workflows/triggers"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": [ { "id": "string", "displayName": "string", "description": "string", "type": "string", "parameters": [ { "name": "string", "type": "string", "required": true, "allowedValues": [ "string" ], "min": 0, "max": 0, "reference": "string" } ] } ]}POST
/api/v2/workflows/{id}/pauseAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
[0-9a-fA-F-]{36}Response Body
application/json
curl -X POST "https://example.com/api/v2/workflows/string/pause"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "string", "definition": { "startTransitionRefId": "string", "event": { "trigger": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ] }, "transitions": [ { "refId": "string", "action": "string", "parameters": {}, "conditions": [ [ { "filterName": "string", "operator": "string", "value": "string", "startValue": "string", "endValue": "string" } ] ], "next": "string", "trueNext": "string", "falseNext": "string" } ] } }}